- Qt 5.15
- Qt XML
- C++ Classes
- QDomComment
- Qt 5.15.19 Reference Documentation

# QDomComment Class

The QDomComment class represents an XML comment. More...

Header: | #include <QDomComment>
qmake: | QT += xml
Inherits: | QDomCharacterData

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QDomComment(const QDomComment &x)
| QDomComment()
QDomComment & | operator=(const QDomComment &x)
QDomNode::NodeType | nodeType() const

## Detailed Description

A comment in the parsed XML such as this:

     <!-- this is a comment -->

is represented by QDomComment objects in the parsed Dom tree.

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomComment::QDomComment(const QDomComment &x)

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomComment::QDomComment()

Constructs an empty comment. To construct a comment with content, use the QDomDocument::createComment() function.

### QDomComment &QDomComment::operator=(const QDomComment &x)

Assigns x to this DOM comment.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QDomNode::NodeType QDomComment::nodeType() const

Returns `CommentNode`.